figureSeries
============

figureSeries is a LaTeX package for creating figure*-like floating
objects that can break over several pages.

Use Case and Functionality
--------------------------
Figure and figure* environments in LaTeX cannot break across pages.
They may, however, include sub-figures. If you have more sub-figures
than what fits on one page, you have to manually divide them into
two separate figure environments. Doing this is not only tedious, it
is virtually impossible to be automated. Such automation may be wanted
if you either don't want to do it by hand or if your sub-figures
(along with their captions) are automatically generated by some tool.

The package figureSeries provides
  1. a facility to include an arbitrary number of (potentially
     differently-sized) sub-figures into a figure*-like construct,
  2. the ability to make this figure*-like construct look as if it
     was a floating object, which
  3. works well in both single-column and double-column documents.
  
It may therefore be considered as a potential solution to the following
requests and/or issues: 
  * http://tex.stackexchange.com/questions/185534
  * http://stackoverflow.com/questions/1078370
  * http://tex.stackexchange.com/questions/11059
  * http://blog.it-weise.de/p/318

Other related issues are:
  * http://tex.stackexchange.com/questions/252487
  * http://tex.stackexchange.com/questions/255091

Provided Files
--------------
This archive contains the following files:
  * figureSeries.sty is the main package file. This is the only file
    you need if you want to use the package and know how to use it.
  * figureSeries.pdf contains the documentation, including several
    examples in conjunction with popular document classes and a
    detailed description of how the package works.
  * a folder "examples" containing  
    - Two examples for using figureSeries in conjunction with
      Springer's llncs.cls: example_1_LNCS.tex and example_7_LNCS.tex
      are the source files and example_1_LNCS.pdf and
      example_7_LNCS.pdf are the generated PDFs.
    - Two examples for using figureSeries together with the two-column
      IEEEtran.cls (example_2_IEEEtran.tex, example_3_IEEEtran.tex as
      well as example_2_IEEEtran.pdf and example_3_IEEEtran.pdf, their
      corresponding PDFs).
    - Three examples for using figureSeries together with the two-
      column class sig-alternate.cls (example_4_sigAlternate,
      example_5_sigAlternate, and example_6_sigAlternate, with the
      .tex and .pdf file suffixes).
    - The document classes needed for these examples (llncs.cls,
      IEEEtran.cls, and sig-alternate.cls). The copyrights for these
      classes are with their respective owners. They are freely
      available on the internet and just put here for making sure that
      the examples execute well.
  * The package sources: Better ignore these and only look at the
    documentation and examples unless you really know what you do and
    want to work on the package sources. Execute batch files at your
    own risk!
    - figureSeries.ins and figureSeries.dtx allow you to build the
      package and examples from command line, i.e., to generate the
      above two files.
    - the file make.sh which allows you to build the package and its
      documentation from its above sources (and the examples, see
      below) under Linux, given that a LaTeX system is installed.
    - the file make.bat which allows you to build the package and its
      documentation from its above sources (and the examples, see
      below) under Windows, given that a LaTeX system is installed.

License
-------
The copyright (c) of this work is with Thomas Weise
(http://www.it-weise.de) except for the code based on Tomas Hejda's
(tohecz@gmail.com) answer to question
http://tex.stackexchange.com/questions/74433. The copyright of this is
thus not clear to me, so I won't claim it :-)

The package and its documentation are under the LaTeX Project Public
License, version 1.3, which may be found online at
http://www.latex-project.org/lppl.txt.

The distribution of this package may also contain the LaTeX document
classes llncs.cls, IEEEtran.cls, and sig-alternate.cls. The copyrights
of these files are with their respective owners and these owners alone
can determine the license terms for these files. The files are just
included here to make the examples stand-alone. They may not be up-to-
date, so please download their latest versions from their respective
locations.

If you feel that this document, its presentation, or any parts I
provide for download violate your (copy)right, please contact me
(http://www.it-weise.de, tweise@ustc.edu.cn, tweise@gmx.de and I will
immediately resolve the issues.
